

DROP TABLE IF EXISTS COREID_SPLIT_MESSAGE_PART;
DROP TABLE IF EXISTS COREID_SPLIT_MESSAGE;


CREATE TABLE COREID_SPLIT_MESSAGE
( ID_SPLIT_MESSAGE           BIGINT           NOT NULL AUTO_INCREMENT
, RECEIVED_MESSAGE           JSON             NOT NULL
, PENDING                    BIT              NOT NULL DEFAULT 1
, INSERT_TIME                TIMESTAMP        DEFAULT CURRENT_TIMESTAMP
, LAST_UPDATE_TIME           TIMESTAMP        ON UPDATE CURRENT_TIMESTAMP
, PRIMARY KEY (ID_SPLIT_MESSAGE)
);

CREATE INDEX PENDING
   ON COREID_SPLIT_MESSAGE (PENDING ASC);


CREATE TABLE COREID_SPLIT_MESSAGE_PART
( ID_SPLIT_MESSAGE_PART      BIGINT           NOT NULL AUTO_INCREMENT
, ID_SPLIT_MESSAGE           BIGINT           NOT NULL
, RESULT_JSON                JSON             
, PENDING                    BIT              NOT NULL DEFAULT 1
, FAILED                     BIT                
, HOSTNAME                   VARCHAR(255)    
, PID                        BIGINT            
, INSTANCE_ID                VARCHAR(255)
, INSERT_TIME                TIMESTAMP        DEFAULT CURRENT_TIMESTAMP
, LAST_UPDATE_TIME           TIMESTAMP        ON UPDATE CURRENT_TIMESTAMP
, PRIMARY KEY (ID_SPLIT_MESSAGE_PART)
, FOREIGN KEY (ID_SPLIT_MESSAGE)
    REFERENCES COREID_SPLIT_MESSAGE (ID_SPLIT_MESSAGE)
    ON DELETE CASCADE
);

CREATE INDEX PENDING
   ON COREID_SPLIT_MESSAGE_PART (PENDING ASC);







